events.listen('recipes', function (event) {
    
  event.shaped(item.of('4x refinedpipes:basic_item_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/brass',
    B: 'create:electron_tube',
    C: 'create:belt_connector'
  })

  event.shaped(item.of('4x refinedpipes:basic_fluid_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/brass',
    B: 'create:fluid_tank',
    C: 'create:fluid_pipe'
  })

  event.shaped(item.of('4x refinedpipes:basic_energy_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/brass',
    B: 'createaddition:connector',
    C: 'createaddition:gold_wire'
  })

  event.shaped(item.of('refinedpipes:basic_extractor_attachment'), [
    '   ',
    'AAA',
    'ABA'
  ], {
    A: '#forge:ingots/brass',
    B: 'minecraft:piston'
  })






  event.shaped(item.of('4x refinedpipes:improved_item_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/electrum',
    B: 'immersiveengineering:sorter',
    C: 'immersiveengineering:conveyor_basic'
  })

  event.shaped(item.of('4x refinedpipes:improved_fluid_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/electrum',
    B: 'immersiveengineering:fluid_sorter',
    C: 'immersiveengineering:fluid_pipe'
  })

  event.shaped(item.of('4x refinedpipes:improved_energy_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/electrum',
    B: 'immersiveengineering:connector_hv',
    C: 'immersiveengineering:wirecoil_steel'
  })

  event.shaped(item.of('refinedpipes:improved_extractor_attachment'), [
    '   ',
    'AAA',
    'ABA'
  ], {
    A: '#forge:ingots/electrum',
    B: 'minecraft:piston'
  })






  event.shaped(item.of('4x refinedpipes:advanced_item_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/lead',
    B: '#thermal:glass/hardened',
    C: 'immersiveengineering:conveyor_basic'
  })

  event.shaped(item.of('4x refinedpipes:advanced_fluid_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/lead',
    B: '#thermal:glass/hardened',
    C: 'immersiveengineering:fluid_pipe'
  })

  event.shaped(item.of('4x refinedpipes:advanced_energy_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/lead',
    B: '#thermal:glass/hardened',
    C: 'immersiveengineering:wirecoil_steel'
  })

  event.shaped(item.of('refinedpipes:advanced_extractor_attachment'), [
    '   ',
    'AAA',
    'CBC'
  ], {
    A: '#forge:ingots/lead',
    B: 'minecraft:piston',
    C: 'thermal:cured_rubber'
  })






  event.shaped(item.of('4x refinedpipes:elite_fluid_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/pewter',
    B: 'thermal:machine_frame',
    C: 'industrialforegoing:straw'
  })

  event.shaped(item.of('4x refinedpipes:elite_energy_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: '#forge:ingots/pewter',
    B: 'thermal:machine_frame',
    C: 'refinedstorage:cable'
  })

  event.shaped(item.of('refinedpipes:elite_extractor_attachment'), [
    '   ',
    'AAA',
    'ABA'
  ], {
    A: '#forge:ingots/pewter',
    B: 'minecraft:piston'
  })
  





  event.shaped(item.of('4x refinedpipes:ultimate_fluid_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: 'mekanism:ingot_refined_obsidian',
    B: 'mekanism:steel_casing',
    C: 'mekanism:basic_mechanical_pipe'
  })

  event.shaped(item.of('4x refinedpipes:ultimate_energy_pipe'), [
    'AAA',
    'CBC',
    'AAA'
  ], {
    A: 'mekanism:ingot_refined_obsidian',
    B: 'mekanism:steel_casing',
    C: 'mekanism:basic_universal_cable'
  })

  event.shaped(item.of('refinedpipes:ultimate_extractor_attachment'), [
    '   ',
    'AAA',
    'ABA'
  ], {
    A: 'mekanism:ingot_refined_obsidian',
    B: 'minecraft:piston'
  })
})